{% extends 'public/_public.layout.html.twig' %}

{% block title %}Inscription{% endblock %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('signup') }}
{% endblock %}

{% block content %}

<main class="fr-pt-md-14v" role="main" id="content">
  <div class="fr-container fr-container--fluid fr-mb-md-14v">
    <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
      <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
        <h2>Création de compte</h2>

        <p>Agents en intervention est une solution numérique de l'agence nationale de la cohésion des
          territoires facilitant la coordination des interventions techniques sur le terrain.</p>
        <div class="fr-container fr-background-default--grey fr-px-md-0 fr-py-10v fr-py-md-14v">
          <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
            <div class="fr-col-12 fr-col-md-9 fr-col-lg-8">

              {% if error %}
                <div class="fr-alert fr-alert--error">
                  <h3 class="fr-alert__title">Erreur survenue lors de la connexion</h3>
                  <p>{{ error.messageKey|trans(error.messageData, 'security') }}</p>
                </div>
              {% endif %}

              {% if app.user %}
                <div class="mb-3">
                  Vous êtes authentifié en tant que {{ app.user.userIdentifier }}, <a
                    href="{{ path('app_logout') }}">Me
                    déconnecter</a>
                </div>
              {% endif %}

              <div class="fr-stepper"><h3 class="fr-stepper__title">Renseigner les coordonnées de l’administrateur
                  <span
                    class="fr-stepper__state">Étape 2 sur 3</span></h3>
                <div class="fr-stepper__steps" data-fr-current-step="2" data-fr-steps="3"></div>
                <p class="fr-stepper__details"><span class="fr-text--bold">Étape suivante :</span> Informations de connexion</p>
              </div>

              <hr />

              <p class="fr-text--sm">L’administrateur est la personne qui a le plus haut niveau de responsabilité dans l’outil, notamment la gestion des membres de l'équipe et la gestion des accès utilisateurs. Ce rôle est unique à chaque collectivité.</p>

              {{ form_start(form) }}
              <div class="aei-stack aei-stack-columns aei-stack-autogrow aei-stack-large-gap aei-stack-no-padding">
                {{ form_row(form.firstname) }}
                {{ form_row(form.lastname) }}
              </div>
              {{ form_rest(form) }}
              {{ form_end(form) }}

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>

{% endblock %}
